%define module	TransitiveClosure
%define name	perl-%{module}
%define version 1.4
%define release %mkrel 5

Name:		    %{name}
Version:	    %{version}
Release:	    %{release}
Summary:	    Calculate the transitive closure
License:	    GPL or Artistic
Group:		    Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Algorithm/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Obsoletes:	    perl-Algorithm-Graphs-TransitiveClosure
Provides:	    perl-Algorithm-Graphs-TransitiveClosure
BuildArch:	    noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
This is an implementation of the well known Floyd-Warshall algorithm.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc LICENSE
%{perl_vendorlib}/Algorithm
%{_mandir}/*/*

%changelog
* Thu Aug 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-5mdv2007.0
- Rebuild

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-4mdk 
- changed name
- better url 
- spec cleanup
- make test in %%check
- don't ship empty directories

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-3mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-2mdk 
- rpmbuildupdate aware

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-1mdk
- first mdk release
